# Method: orders.get

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/get#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/get#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/get#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/get#try-it)

orders.get order details for a single order.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/orders/{orderId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The package name of the application for which this subscription or in-app item was purchased (for example, 'com.some.thing'). |
| `orderId` | `string` Required. The order ID provided to the user when the subscription or in-app order was purchased. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/orders#Order`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`